$Id: README.cfg,v 1.1 2002/09/26 12:16:17 andrei Rel $

[ under construction :) ]

Sources:

 - set your tab stop to 4 (in vi: set ts=4).


Compile & Install:

- read INSTALL
- compile & sip_router -h


Configuration files:

	Example configuration files in ./tests/*.cfg

	Global parameters:
		- debug
		- listen
		- alias
		- port
		- fork
		- children_no
		- log_stderror
		- fifo
		- loadmodule "path/modulename"
		...

	Logical expressions [missing]
		Operators:
			==
			=~
			and/&
			or/|
			not/!
		Lvalues:
			- uri
			- method
			- src_ip
			- dst_ip
			- myself
		Rvalues:
			- string
			- integer
			- ipv4 or ipv6 address
			- netv4 or netv6 address
			- myself (matches any uri or ip address the server listens on or 
			 registered as an alias for the server)
			
	Commands:
		- forward
		- send
		- error [not implemented yet ]
		- log
		- exec
		- route/goto
		- drop/break
		- if {} else{}
	Modules:
		- loadmodule "..."
		- commands registered by modules


